#### PyKDE - Python Bindings for KDE

# class KSeparator |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KSeparator
Inherits | TQFrame

### methods

- KSeparator (parent = 0, name = 0, f = 0)

  returns a KSeparator instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0
  f | WFlags | 0

- KSeparator (orientation, parent = 0, name = 0, f = 0)

  returns a KSeparator instance
  Argument | Type | Default
  --- | --- | ---
  orientation | int |
  parent | TQWidget | 0
  name | char | 0
  f | WFlags | 0

- drawFrame (p)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  p | TQPainter |

- orientation ()

  returns (int)

- setOrientation (orient)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  orient | int |

- sizeHint ()

  returns (TQSize)